> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.givechariot.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.givechariot.com/_mcp/server.

# List Donations

GET https://api.givechariot.com/v1/donations

List donations for your account.

Reference: https://docs.givechariot.com/api/donations/list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.givechariot.com` (Production, default)
- `https://sandboxapi.givechariot.com` (Sandbox)

## Request

### Query parameters

- `limit` (integer, optional) — Limit the size of the list that is returned. The default (and maximum) is 100 objects.
- `page_token` (string, optional) — The cursor to use for pagination. If not set, the first page of results will be returned.
- `payment_source_id` (string, optional) — The unique identifier for the payment sources to filter donations by. Comma separated list of payment source IDs.
- `deposit_id` (string, optional) — The unique identifier for the deposit to filter donations by.
- `created_at.after` (datetime, optional) — Return donations created after the given date and time.
- `created_at.before` (datetime, optional) — Return donations created before the given date and time.
- `dafpay_tracking_id` (string, optional) — The DAFpay tracking identifier to filter donations by. Use this to reconcile a donation against the DAFpay grant that started it.

## Response

### 200

The response for Donations.list

- `results` (list of Donation, optional)
- `next_page_token` (string, optional) — A cursor token to use to retrieve the next page of results by making another API call to the same endpoint with the same parameters (only changing the pageToken). If specified, then more results exist on the server that were not returned, otherwise no more results exist on the server.

## Errors

### 400 Bad Request Error

The request is invalid or contains invalid parameters

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 401 Unauthorized Error

Unauthorized. The request is missing the security (OAuth2 Bearer token) requirements and the server is unable to verify the identify of the caller.

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 403 Forbidden Error

Access denied

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 500 Internal Server Error

Internal Server Error

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

## Types

### Donation

A Donation is a gift of money to a nonprofit organization.

- `id` (string, required) — The unique identifier for the donation
- `payment_source_id` (string, required) — The unique identifier for the payment source used to segregate deposits between various DAFs and platforms.
- `amount_gross` (long, required) — The original amount of the donation as intended by the donor in minor units of the currency. For dollars, for example, this is cents.
- `amount_net` (long, required) — The amount of the donation that the nonprofit will receive after DAF and/or platform processing fees are deducted in minor units of the currency. For dollars, for example, this is cents.
- `amount_fee` (long, required) — The amount of the fee that was deducted by the DAF or processing platform from the donation in minor units of the currency. For dollars, for example, this is cents.
- `currency` (string, required) — The [ISO 4217 code](https://en.wikipedia.org/wiki/ISO_4217) for the Transaction's currency.
- `purpose` (string, required) — A description of the donor's intent for the donation. This is useful to understand how the donor intended the donation to be used. For example, "Where needed most" or "General Operating Support" or "Specific Campaign".
- `note` (string, required) — An informational note from the donor to the nonprofit about the donation. This may contain a message or other useful information that the donor wants to share with the nonprofit.
- `created_at` (datetime, required) — The date and time when the donation was created.
- `external_id` (string, optional) — A short human-readable identifier for the donation, useful for reconciling against your own systems. This is the same identifier shown on the donation in the Chariot dashboard.
- `individual_gift_amount` (long, optional) — The amount contributed by the individual donor in minor units of the currency.
- `attribution` (DonationAttribution, optional) — A subhash containing information about how the donation is attributed.
- `initiation` (DonationInitiation, optional) — A subhash containing information about how the donation was initiated by DAFpay.
- `settlement` (DonationSettlement, optional) — A subhash containing information about how the donation was settled by Chariot.
- `donor_advised_fund_grant` (DafGrant, optional) — A subhash containing information about the grant from a Donor-Advised Fund sponsor.
- `platform` (Platform, optional) — A subhash containing information about the platform that facilitated the donation. If this is empty, then the donation was not facilitated by a platform.
- `corporate_match` (CorporateMatch, optional) — A subhash containing information about the corporate match for the donation. If this is empty, then the donation was not matched by a corporate sponsor.
- `properties` (list of PropertyAssignment, optional) — A list of custom properties for the donation.
- `artifacts` (list of Artifact, optional) — A list of source artifacts that were used to create the donation. These can include the raw source files (PDFs, CSVs, etc.) that were received from upstream platforms or systems.
- `updated_at` (datetime, optional) — The date and time when the donation was last updated.
- `canceled_at` (datetime, optional, nullable) — The date and time when the donation was canceled. A non-null value indicates the donation is tied to a canceled grant initiation and the gift was not received. Expressed in RFC 3339 format.
- `payment_status` (enum, optional) — The payment status of the donation. Indicates the current state of the payment lifecycle.
  - Allowed values: `INCOMING_TO_CHARIOT`, `INCOMING_OUTSIDE_CHARIOT`, `RECEIVED_IN_CHARIOT`, `RECEIVED_OUTSIDE_CHARIOT`, `CANCELED`

### DonationAttribution

A subhash containing information about how the donation is attributed.

- `primary_donor` (Donor, optional) — A subhash containing information about the primary donor of the donation.
- `joint_donor` (Donor, optional) — A subhash containing information about the joint donor of the donation.

### DonationInitiation

If the donation was initiated through a Chariot Connect instance (DAFpay), this object will contain additional information about the initiation of the donation.

- `initiated_at` (datetime, required) — Time when the donation was initiated. Expressed in RFC 3339 format.
- `frequency` (enum, required) — The frequency of the donation.
  - Allowed values: `ONE_TIME`, `MONTHLY`
- `channel` (enum, optional) — The DAFpay integration channel used to initiate the donation. - `INTEGRATED` - The donation was initiated through an integrated DAFpay instance where the DAF sponsor processes the grant electronically via the DAFpay network. - `UNINTEGRATED` - The donation was initiated through an unintegrated DAFpay flow where the donor completes the grant manually on the DAF sponsor's website (e.g., Luminate Online, standalone embeds).
  - Allowed values: `INTEGRATED`, `UNINTEGRATED`
- `web_location_url` (string, optional) — The URL of the web location where the donation was initiated.
- `fundraising_platform_name` (string, optional) — The name of the fundraising platform that initiated the donation.
- `dafpay_form` (string, optional) — The DAFpay form where the donation was initiated.
- `dafpay_tracking_id` (string, optional) — The tracking ID for the donation as generated by DAFpay.
- `dafpay_metadata` (map from string to string, optional) — Additional key value pairs that were passed to DAFpay during the donation initiation.

### DonationSettlement

If the payment for the donation was received by Chariot, this object will contain additional information about the settlement of the donation.

- `deposit_id` (string, required) — The unique identifier for the deposit that contains the money for the donation.
- `received_at` (datetime, required) — The date and time when the transfer of money for the donation was received by Chariot. Received at indicates when the data for the transfer was received, which is different from the settled_at timestamp. Expressed in RFC 3339 format.
- `settled_at` (datetime, optional) — The date and time when the money for the donation was settled by Chariot. Indicates when the funds become available to the nonprofit. Expressed in RFC 3339 format.

### DafGrant

A subhash containing information grant details from a Donor-Advised Fund sponsor.

- `organization_name` (string, required) — The name of the Donor Advised Fund sponsor.
- `donor_fund_name` (string, optional) — The name of the donor's fund at the Donor Advised Fund sponsor.
- `program_name` (string, optional) — The name of the program at the Donor Advised Fund sponsor.
- `sponsor_grant_id` (string, optional) — The identifier for the grant at the Donor Advised Fund sponsor.

### Platform

A subhash containing information about the platform that facilitated the donation.

- `name` (string, optional) — The name of the platform.
- `platform_grant_id` (string, optional) — The identifier for the grant within the platform's system.
- `metadata` (map from string to string, optional) — Additional key value pairs that were passed to the platform during the donation initiation.
- `acceptance` (PlatformAcceptance, optional) — A subhash containing information about the acceptance of the grant from the platform. This is only present if the platform requires grant acceptance before disbursing funds.

### CorporateMatch

A subhash containing information about the corporate match for the donation.

- `match_amount` (long, optional) — The amount of the corporate match for the donation in minor units of the donation currency.
- `company_name` (string, optional) — The name of the company that matched the donation.
- `program_name` (string, optional) — The name of the program that matched the donation.
- `source` (string, optional) — The source of the corporate match.

### PropertyAssignment

A property assignment is a key-value pair that is associated with a donation.

- `property_id` (string, optional) — The unique identifier for the property.
- `value` (PropertyValue, optional)

### Artifact

An artifact is a source file that was used to create the donation.

- `id` (string, optional) — The unique identifier for the artifact.
- `name` (string, optional) — The name of the artifact.
- `file_id` (string, optional) — The unique identifier for the file that the artifact is associated with.
- `created_at` (datetime, optional) — The date and time when the artifact was created.

### Donor

The donor information for the transaction

- `full_name` (string, optional) — The full name of the donor. Maximum length: 255 characters.
- `first_name` (string, optional) — The first name of the donor. Maximum length: 255 characters.
- `last_name` (string, optional) — The last name of the donor. Maximum length: 255 characters.
- `email` (string, optional) — The email address of the donor. Maximum length: 255 characters.
- `phone` (string, optional) — The phone number of the donor. Maximum length: 20 characters.
- `address` (Address, optional)

### PlatformAcceptance

A subhash containing information about the acceptance of the grant from the platform.

- `accepted` (boolean, optional) — Whether the grant was accepted from the platform.
- `expires_at` (datetime, optional) — The date and time when the acceptance of the grant will expire.

### PropertyValue

- `type` (enum, required) — The data type of a property.
  - Allowed values: `text`, `enum`, `user`, `boolean`, `date`
- `text_value` (string, optional) — The text value of the property.
- `enum_value_id` (string, optional) — The unique identifier for the enum value.
- `user_value_id` (string, optional) — The unique identifier for the user.
- `boolean_value` (boolean, optional) — The boolean value of the property.
- `date_value` (datetime, optional) — The date value of the property.
- `empty` (boolean, optional) — Whether the property value is empty. Can use this to unset property values when assigning a property.

### Address

- `city` (string, required) — City, district, suburb, town, or village. Maximum length: 255 characters.
- `country` (string, required) — Two-letter country code (https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
- `line1` (string, required) — Address line 1 (e.g. street, PO Box, or company name). Maximum length: 255 characters.
- `postal_code` (string, required) — ZIP or postal code. Maximum length: 40 characters.
- `state` (string, required) — State, county, province, or region
- `line2` (string, optional) — Address line 2 (e.g. apartment, suite, unit, or building). Maximum length: 255 characters.

## Examples

**Response**

```json
{
  "results": [
    {
      "id": "donation_01j8rs605a4gctmbm58d87mvsj",
      "payment_source_id": "payment_source_01kew60ks7w0epkvp2bgqxrt8z",
      "amount_gross": 1,
      "amount_net": 1,
      "amount_fee": 1,
      "currency": "USD",
      "purpose": "Where needed most",
      "note": "Please dedicate in memory of grandma",
      "created_at": "2020-01-31T23:59:59Z",
      "external_id": "29247869",
      "individual_gift_amount": 1,
      "attribution": {
        "primary_donor": {
          "full_name": "John Doe",
          "first_name": "John",
          "last_name": "Doe",
          "email": "bob@me.com",
          "phone": "415-555-1212",
          "address": {
            "city": "New York",
            "country": "US",
            "line1": "123 Main St.",
            "postal_code": "12345",
            "state": "NY",
            "line2": "string"
          }
        },
        "joint_donor": {
          "full_name": "John Doe",
          "first_name": "John",
          "last_name": "Doe",
          "email": "bob@me.com",
          "phone": "415-555-1212",
          "address": {
            "city": "New York",
            "country": "US",
            "line1": "123 Main St.",
            "postal_code": "12345",
            "state": "NY",
            "line2": "string"
          }
        }
      },
      "initiation": {
        "initiated_at": "2020-01-31T23:59:59Z",
        "frequency": "ONE_TIME",
        "channel": "INTEGRATED",
        "web_location_url": "https://www.example.com/donation/1234567890",
        "fundraising_platform_name": "Classy",
        "dafpay_form": "DAF day",
        "dafpay_tracking_id": "L9E182VBGP",
        "dafpay_metadata": {
          "funding_source": "DAF",
          "funding_source_id": "daf_01j8rs605a4gctmbm58d87mvsj",
          "funding_source_name": "DAF day"
        }
      },
      "settlement": {
        "deposit_id": "deposit_01kewb5vgsryzaajza5ynr06kz",
        "received_at": "2020-01-31T23:59:59Z",
        "settled_at": "2020-01-31T23:59:59Z"
      },
      "donor_advised_fund_grant": {
        "organization_name": "Daffy Charitable Fund",
        "donor_fund_name": "The Smith Family Fund",
        "program_name": "string",
        "sponsor_grant_id": "93492947-7894-4663-a944-f2469d0027ca"
      },
      "platform": {
        "name": "PayPal Grant Payments",
        "platform_grant_id": "93492947-7894-4663-a944-f2469d0027ca",
        "metadata": {},
        "acceptance": {
          "accepted": true,
          "expires_at": "2020-01-31T23:59:59Z"
        }
      },
      "corporate_match": {
        "match_amount": 1,
        "company_name": "Google",
        "program_name": "Google Matching Grant Program",
        "source": "Payroll"
      },
      "properties": [
        {
          "property_id": "prop_01j8rs605a4gctmbm58d87mvsj",
          "value": {
            "type": "text",
            "text_value": "string",
            "enum_value_id": "string",
            "user_value_id": "string",
            "boolean_value": true,
            "date_value": "2024-01-15T09:30:00Z",
            "empty": true
          }
        }
      ],
      "artifacts": [
        {
          "id": "artifact_01j8rs605a4gctmbm58d87mvsj",
          "name": "donation_receipt.pdf",
          "file_id": "file_01j8rs605a4gctmbm58d87mvsj",
          "created_at": "2020-01-31T23:59:59Z"
        }
      ],
      "updated_at": "2020-01-31T23:59:59Z",
      "canceled_at": "2020-01-31T23:59:59Z",
      "payment_status": "INCOMING_TO_CHARIOT"
    }
  ],
  "next_page_token": "string"
}
```